<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>

<head>
  <title>DataReader Binding</title>
</head>

<body>
<form runat="server">
<p align=center><b><font size="5">DataReader Binding</font></b></p>
<p align=center> </p>
<p align=center><b>DataGrid Control:  MyDataGrid</b></p>
<p align=center><asp:datagrid id="MyDataGrid" runat="server"></asp:datagrid><br></p>

<script language="C#" runat="server">
  private void Page_Load(object sender, System.EventArgs e)
    {
      //Create a variable to hold the connection object
      SqlConnection MySqlConn = null;

      try
      {
        //Assign a connection string from the Web.config file
        string MySqlConnString = (string)
          ConfigurationSettings.AppSettings["SqlConnString"];

        //Create a connection object
        MySqlConn = new SqlConnection(MySqlConnString);

        //Open the connection
        MySqlConn.Open();

        //Build the string Select statement
        string Select = "SELECT * FROM Orders, Customers " +
          "WHERE Orders.CustomerID = Customers.CustomerID and ShipVia = 1";
        //Page.Response.Write (Select);
        //Page.Response.End();

        //Create a command object
        SqlCommand SqlCmd = new SqlCommand(Select, MySqlConn);

        //Define a DataReader object using our
        //command object's ExecuteReader method
        SqlDataReader MyDataReader = SqlCmd.ExecuteReader();

        //Tell our DataGrid what it's data source is
        MyDataGrid.DataSource = MyDataReader;

        //Bind our DataGrid to the specified data source
        MyDataGrid.DataBind();
      }

    catch(Exception ex)
      {
        throw ex;
      }

    finally
      {
        if(MySqlConn.State == ConnectionState.Open)
          {
            MySqlConn.Close();
          }
      }
    }
</script>

<p align=left><font face="Tahoma" size="2">Author: Pete Ehli</font>
</form>
</body>

</html>