<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<%@ Import Namespace="System.Configuration" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>

<head>
  <TITLE>DataSet Binding</TITLE>
</head>

<body>
<form runat="server">
<p align=center><b><font size=5>DataSet Binding</font></b></p>
<p align=center><b><font size=5></font></b> </p>
<p align=center>DataGrid Control:  MyDataGrid<b><font size=5></font></b></p>
<p align=center><asp:datagrid id=MyDataGrid1 runat="server"></asp:datagrid><br></p>
<p align=center><asp:datagrid id=MyDataGrid2 runat="server"></asp:datagrid><br></p>

<script language="C#" runat="server">
  private void Page_Load(object sender, System.EventArgs e)
    {
      //Create a string for comparison reasons
      string TheOrderID = "1025%";

      //Build the string select statements
      string Orders = "SELECT * FROM Orders WHERE OrderID LIKE'" + TheOrderID + "'";

      string OrderDetails = "SELECT * FROM [Order Details] WHERE OrderID LIKE'" + TheOrderID + "'";

      //Create a new DataSet object
      DataSet MyDataSet = new DataSet();

      //Assign a connection string from the Web.config file
      string MyOleConnString = (string)
        ConfigurationSettings.AppSettings["OleConnString"];

      //Create our connection object
      OleDbConnection MyOleDbConn = new OleDbConnection(MyOleConnString);

      //Create our command object 
      OleDbCommand MyOleDbCmd = new OleDbCommand();

      //Set the command object properties 
      MyOleDbCmd.Connection = MyOleDbConn;
      MyOleDbCmd.CommandType = CommandType.Text;
      MyOleDbCmd.CommandText = Orders;

      //Create our adapter oject 
      OleDbDataAdapter MyOleDataAdapter = new OleDbDataAdapter();

      //Set the SelectCommand property using or command object
      MyOleDataAdapter.SelectCommand = MyOleDbCmd;

      //Get the data from the "Orders" table in the database and 
      //put it into a table named "MyOrders" into the MyDataSet object 
      MyOleDataAdapter.Fill(MyDataSet, "MyOrders");

      //Reassign the command oject CommandText property 
      MyOleDbCmd.CommandText = OrderDetails;

      //Get the data from the "Order Details" table in the database and 
      //put it into a table named "MyOrderDetails"
      //into the MyDataSet object 
      MyOleDataAdapter.Fill(MyDataSet, "MyOrderDetails");

      //Create a relation in the DataSet object named MyDataSetRelation 
      DataRelation MyRelation = new DataRelation("MyDataSetRelation",
      MyDataSet.Tables["MyOrders"].Columns["OrderID"], 
      MyDataSet.Tables["MyOrderDetails"].Columns["OrderID"]);

      //Add the relation to the MyDataSet object 
      MyDataSet.Relations.Add(MyRelation);

      //Specify to the DataGrids what their data source is 
      MyDataGrid1.DataSource = MyDataSet;
      MyDataGrid2.DataSource = MyDataSet;

      //Tell the DataGrids to set their DataMember
      //propety to the the table named in the DataSet object 
      MyDataGrid1.DataMember = "MyOrders";
      MyDataGrid2.DataMember = "MyOrderDetails";

      //Bind our DataGrids to their specified data source
      MyDataGrid1.DataBind();
      MyDataGrid2.DataBind();
    } 
</script>

<p align=left><font face="Tahoma" size="2">Author: Pete Ehli</font>
</form>
</body>

</html>